## edu.msu.cme.rdp.classifier.rrnaclassifier
Class HierarchyVersion

    java.lang.Object
      edu.msu.cme.rdp.classifier.rrnaclassifier.HierarchyVersion

    public class HierarchyVersion

extends java.lang.Object

A HierarchyVersion holds the training set number and version of the taxonomy.

Field Summary
`private java.util.regex.Matcher` `matcher`
`private static java.lang.String` `regex`
`private int` `trainsetNo`
`private java.lang.String` `version`
`private static java.util.regex.Pattern` `versionPattern`

Constructor Summary
`HierarchyVersion(java.lang.String doc)` Creates a new instance of HierarchyVersion,

Method Summary
`int` `getTrainsetNo()` Returns the training set number of the taxonomy hierarchy from the header of the training file.
`java.lang.String` `getVersion()` Returns the version of the taxonomy hierarchy from the header of the training file.
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### regex

    private static final java.lang.String regex

See Also:
  Constant Field Values

### matcher

    private java.util.regex.Matcher matcher

### versionPattern

    private static java.util.regex.Pattern versionPattern

### version

    private java.lang.String version

### trainsetNo

    private int trainsetNo

Constructor Detail

### HierarchyVersion

    public HierarchyVersion(java.lang.String doc)
                     throws TrainingDataException

  Creates a new instance of HierarchyVersion,

  Throws:
    `TrainingDataException`

Method Detail

### getTrainsetNo

    public int getTrainsetNo()

  Returns the training set number of the taxonomy hierarchy from the header of the training file.

### getVersion

    public java.lang.String getVersion()

  Returns the version of the taxonomy hierarchy from the header of the training file.

### main

    public static void main(java.lang.String[] args)
                     throws TrainingDataException

  Throws:
    `TrainingDataException`